Package org.eclipse.jface.text

# Interface ITextDoubleClickStrategy

All Known Implementing Classes:
  `DefaultTextDoubleClickStrategy`

public interface ITextDoubleClickStrategy
A text double click strategy defines the reaction of a text viewer to mouse double click events. The strategy must be installed on an `ITextViewer`.

Clients may implement this interface or use the standard implementation `DefaultTextDoubleClickStrategy`.

See Also:
  - `ITextViewer`
  - `MouseListener.mouseDoubleClick(org.eclipse.swt.events.MouseEvent)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doubleClicked(ITextViewer viewer)`
The mouse has been double clicked on the given text viewer.

## Method Details

### doubleClicked

void doubleClicked(ITextViewer viewer)
The mouse has been double clicked on the given text viewer.

Parameters:
  `viewer` - the viewer into which has been double clicked